from Globals import package_home
from Products.CMFCore import utils, CMFCorePermissions, DirectoryView
from Products.CMFPlone.PloneUtilities import ToolInit
from Products.Archetypes.public import *
from Products.Archetypes import listTypes
from Products.Archetypes.utils import capitalize

import os, os.path

# Get configuration data, permissions
from Products.ATGoogleMaps.config import *

# Register skin directories so they can be added to portal_skins
DirectoryView.registerDirectory('skins', GLOBALS)
DirectoryView.registerDirectory('skins/googlemaps', GLOBALS)

def initialize(context):

    # Import the type, which results in registerType() being called
    from content import GMap, GMarker

    # initialize the content, including types and add permissions
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = DEFAULT_ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
